petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASGalerkinFunctionDefault

Computes the Galerkin FAS function

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGalerkinFunctionDefault(SNES snes, Vec X, Vec F, void *ctx)

### Input Parameters

snes -the nonlinear solver context
X -input vector
ctx -the FAS context

### Output Parameter

F -output vector

### Notes

The Galerkin FAS function evalutation is defined as

     F^l(x^l) = I^l_0 F^0(P^0_l x^l)

### Keywords

FAS, galerkin

### See Also

SNESFASGetGalerkin(), SNESFASSetGalerkin()

### Level

developer

### Location

src/snes/impls/fas/fasgalerkin.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages